import React, { SetStateAction } from 'react';
import type { FloatingContext } from './types';
declare type Delay = number | Partial<{
    open: number;
    close: number;
}>;
interface GroupState {
    delay: Delay;
    initialDelay: Delay;
    currentId: any;
}
export declare const useDelayGroupContext: () => GroupState & {
    setCurrentId: (currentId: any) => void;
    setState: React.Dispatch<SetStateAction<GroupState>>;
};
/**
 * Provides context for a group of floating elements that should share a
 * `delay`.
 * @see https://floating-ui.com/docs/FloatingDelayGroup
 */
export declare const FloatingDelayGroup: React.FC<{
    delay: Delay;
}>;
interface UseGroupOptions {
    id: any;
}
export declare const useDelayGroup: ({ open, onOpenChange }: FloatingContext, { id }: UseGroupOptions) => void;
export {};
