import { MutableRefObject } from 'react';
import type { ElementProps, FloatingContext } from '../types';
export interface Props {
    enabled?: boolean;
    modal?: boolean;
    order?: Array<'reference' | 'floating' | 'content'>;
    initialContentFocus?: number | MutableRefObject<HTMLElement | null>;
    inert?: boolean;
    scrollLock?: boolean;
}
/**
 * Traps focus in a loop of focusable elements while the floating element is
 * open.
 * @see https://floating-ui.com/docs/useFocusTrap
 */
export declare const useFocusTrap: ({ open, onOpenChange, refs, nodeId }: FloatingContext, { enabled, initialContentFocus, order, modal, inert, scrollLock, }?: Props) => ElementProps;
