import type { ElementProps, FloatingContext, FloatingTreeType } from '../types';
export declare function getDelay(value: Props['delay'], prop: 'open' | 'close'): number;
export interface Props {
    enabled?: boolean;
    handleLeave?: null | ((context: FloatingContext & {
        onClose: () => void;
        tree?: FloatingTreeType | null;
    }) => (event: PointerEvent) => void);
    pointerRestMs?: number;
    delay?: number | Partial<{
        open: number;
        close: number;
    }>;
    mouseOnly?: boolean;
}
/**
 * Adds hover event listeners that change the open state, like CSS :hover.
 * @see https://floating-ui.com/docs/useHover
 */
export declare const useHover: (context: FloatingContext, { enabled, delay, handleLeave, mouseOnly, pointerRestMs, }?: Props) => ElementProps;
