import React from 'react';
import type { ElementProps, FloatingContext } from '../types';
export interface Props {
    listRef: React.MutableRefObject<Array<HTMLElement | null>>;
    activeIndex: number | null;
    onNavigate: (index: number | null) => void;
    enabled?: boolean;
    selectedIndex?: number | null;
    focusItemOnOpen?: boolean | 'auto';
    loop?: boolean;
    nested?: boolean;
    rtl?: boolean;
    orientation?: 'vertical' | 'horizontal' | 'both';
}
/**
 * Adds focus-managed indexed navigation via arrow keys to a list of items
 * within the floating element.
 * @see https://floating-ui.com/docs/useListNavigation
 */
export declare const useListNavigation: ({ open, onOpenChange, refs }: FloatingContext, { listRef, activeIndex, onNavigate, enabled, selectedIndex, loop, nested, rtl, focusItemOnOpen, orientation, }?: Props) => ElementProps;
