import React from 'react';
import type { ElementProps, FloatingContext } from '../types';
export interface Props {
    listRef: React.MutableRefObject<Array<string | null>>;
    activeIndex: number | null;
    onMatch?: (index: number) => void;
    enabled?: boolean;
    onFind?: null | ((itemString: string | null, typedString: string) => boolean);
    debounceMs?: number;
    ignoreKeys?: Array<string>;
    selectedIndex?: number | null;
}
/**
 * Provides a matching callback that can be used to focus an item as the user
 * types, often used in tandem with `useListNavigation()`.
 * @see https://floating-ui.com/docs/useTypeahead
 */
export declare const useTypeahead: ({ open }: FloatingContext, { listRef, activeIndex, onMatch, enabled, onFind, debounceMs, ignoreKeys, selectedIndex, }?: Props) => ElementProps;
